Site admin should not add background images to site skins

Bug #1305308 reported by Son Nguyen on 2014-04-09
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.8
High
Robert Lyon
1.9
High
Robert Lyon

Bug Description

Version: 1.9 and master (1.10)

Logged in as site admin, I can edit background images of a site skin.
I can use images in my file area
Currently, these are not allowed for site skins.

Son Nguyen (ngson2000) on 2014-04-09
Changed in mahara:
importance: Undecided → High
status: New → In Progress
assignee: nobody → Son Nguyen (ngson2000)
milestone: none → 1.10.0
milestone: 1.10.0 → 1.9.0

Reviewed: https://reviews.mahara.org/3218
Committed: http://gitorious.org/mahara/mahara/commit/982f5747047ca4467f323fd3710d214d2593c2d5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 982f5747047ca4467f323fd3710d214d2593c2d5
Author: Son Nguyen <email address hidden>
Date: Thu Apr 10 09:05:07 2014 +1200

When editing site skin, disable skin background images (Bug 1305308)

Also display confirmation dialogue.

Change-Id: I55b4a85cdeabf14ae39027723a6882456ff13c01
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2014-04-14
Changed in mahara:
milestone: 1.9.0 → 1.10.0
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3255

Reviewed: https://reviews.mahara.org/3255
Committed: http://gitorious.org/mahara/mahara/commit/f7953d2966fdfdbaa429bb3693e9f99b1226885a
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit f7953d2966fdfdbaa429bb3693e9f99b1226885a
Author: Son Nguyen <email address hidden>
Date: Thu Apr 10 09:05:07 2014 +1200

When editing site skin, disable skin background images (Bug 1305308)

Also display confirmation dialogue.

Change-Id: I55b4a85cdeabf14ae39027723a6882456ff13c01
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3254
Committed: http://gitorious.org/mahara/mahara/commit/32aeb4842f582b5066aca4984843d45dd4c1a9c1
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 32aeb4842f582b5066aca4984843d45dd4c1a9c1
Author: Son Nguyen <email address hidden>
Date: Thu Apr 10 09:05:07 2014 +1200

When editing site skin, disable skin background images (Bug 1305308)

Also display confirmation dialogue.

Change-Id: I55b4a85cdeabf14ae39027723a6882456ff13c01
Signed-off-by: Son Nguyen <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers